## obconf 2.0.3+git20110808

=== src/Makefile ===
all clean install:
	$(MAKE) -C .. -$(MAKEFLAGS) $@

.PHONY: all clean install

## obconf 2.0.3+20110805+debian

=== debian/changelog ===
obconf (1:2.0.3+20110805+debian-1) unstable; urgency=low

  * Merging upstream version 2.0.3+20110805+debian.
  * Updating maintainers field (Closes: #644156).
  * Adding myself to uploaders.
  * Adding vcs fields.
  * Removing whitespaces at EOL and EOF.
  * Updating package to debhelper version 9.
  * Updating package to standards version 3.9.3.
  * Sorting and wrapping build-depends.
  * Sorting depends.
  * Updating homepage field.
  * Removing ubuntu uploads from changelog.
  * Rewriting copyright file machine-readable format version 1.0.
  * Prefixing debhelper files with package name.
  * Rediffing freedesktop-compliance.patch with common diff options.
  * Rediffing show-specific-tab.patch with common diff options.
  * Rediffing button-layout.patch with common diff options.
  * Rediffing l10n-pt-br.patch with common diff options.
  * Replacing pod manpage with standard groff one.
  * Moving pixmap to pixmaps subdirectory within packaging.
  * Decrufting rules file.
  * Rewrapping menu file.
  * Updating watch file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 23 Apr 2012 07:36:17 +0200

obconf (2.0.3+git20110808-1) unstable; urgency=low

  * QA upload.
  * New upstream snapshot is built with openbox 3.5 (Closes: #652199).
  * Switch to format 3.0 (quilt).
  * debian/patches/pt_BR.patch:
    - Brazilian Portuguese translation (Closes: #607492).
  * debian/compat:
    - Bump compatibility level to 8.
  * debian/control:
    - Set Maintainer to Debian QA Group.
    - Build-depend on dh-autoreconf, drop autotools-dev and automake.
    - Build-depend on libimlib2-dev.
    - Bump Standards-Version to 3.9.2.
    - Remove Vcs-* fields.
    - Add ${misc:Depends} to Depends field.
  * debian/copyright:
    - Use versioned link to common-licenses.
  * debian/obconf.pod:
    - Fix syntax error appearing with pod2man.
  * debian/rules:
    - Switch to dh.

 -- Luca Falavigna <dktrkranz@debian.org>  Thu, 15 Dec 2011 23:15:55 +0100

obconf (2.0.3-3) unstable; urgency=low

  * Fix bashism in debian/rules (Closes: #484420).

 -- Nico Golde <nion@debian.org>  Wed, 04 Jun 2008 10:25:18 +0200

obconf (2.0.3-2) unstable; urgency=low

  * Remove build-deps on libobrender/parser16 as we build-depend
    on oepnbox-dev and this prevents binNMUs.

 -- Nico Golde <nion@debian.org>  Fri, 25 Apr 2008 19:52:31 +0200

obconf (2.0.3-1) unstable; urgency=low

  * New upstream release (Closes: #463797).
  * debian/copyright: Update copyright years and upstream authors.
  * Adding obconf xpm image and set it as menu icon.
  * debian/obconf.pod: Update obconf manual.
  * 01_fix_freedesktop_compliance.dpatch: fix some more validation
    issues and add Catalan, German and Spanish translations.
  * Many thanks to Siegfried-Angel Gevatter!

 -- Nico Golde <nion@debian.org>  Sun, 03 Feb 2008 15:06:08 +0100

obconf (2.0.2-2) unstable; urgency=low

  [Nico Golde]
  * Switched from Homepage tag to new Homepage field in control.
  * Use Applications/System/Administration as menu section since
    System is only meant as a root menu for other sub menus.

  [Anibal Avelar]
  * Added Vcs-Browser and Vcs-Svn fields in debian/control.
  * Bumped standard version to 3.7.3.
  * Added the fields Vcs-Browser and Vcs-Git in the debian/control file.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Thu, 10 Jan 2008 20:24:03 +0200

obconf (2.0.2-1) unstable; urgency=low

  * New upstream release.
  * Now depend on libobrender16 and libobparser16.
  * Added a watch file again.
  * Change source code URL in copyright.
  * Added compat file since upstream removed debian/.
  * Added build-dep on dpatch and added patch to fix
    freedesktop compliance of .desktop file.

 -- Nico Golde <nion@debian.org>  Mon, 06 Aug 2007 15:49:25 +0200

obconf (2.0.1-2) unstable; urgency=low

  * Added openbox to Recommends (Closes: #436056).

 -- Nico Golde <nion@debian.org>  Sun, 05 Aug 2007 14:22:24 +0200

obconf (2.0.1-1) unstable; urgency=low

  [Anibal Avelar]
  * New upstream version
  * New maintainer
  * Modified the control file with the new dependencies

  [Nico Golde]
  * Added missing second space in front of Homepage tag in control.
  * Removed unused dpatch stuff.
  * Added menu file.

 -- Anibal Avelar (Fixxxer) <aavelar@cofradia.org>  Sun, 15 Jun 2007 23:44:05 +0200

obconf (1.6-1) unstable; urgency=low

  * New upstream version.
  * Fixed typo in mainpage.
    (Closes: bug#302754)
  * Use of autotools-dev to update config.{guess,sub}.
    (Closes: bug#342427)
  * Changed Makefile.am to fix buttons and saving settings, thanks to
    Richard Bradshaw.
    (Closes: bug#375702)
  * New maintainer.
    (Closes: bug#385988)
  * Upgraded to Standards-Version 3.7.2.

 -- Jens Peter Secher <jps@debian.org>  Thu, 14 Sep 2006 21:43:58 +0200

obconf (1.5-4) unstable; urgency=low

  * debian/control:
      - Orphaning the package.

 -- Tore Anderson <tore@debian.org>  Mon,  4 Sep 2006 14:45:20 +0000

obconf (1.5-3) unstable; urgency=low

  * debian/control:
      - Bleh.  Really add build-dependency on libsm-dev,  Closes: #251594.

 -- Tore Anderson <tore@debian.org>  Sun, 30 May 2004 17:42:40 +0200

obconf (1.5-2) unstable; urgency=low

  * debian/control:
      - Add build-dependency on libsm-dev, closes: #251594.

 -- Tore Anderson <tore@debian.org>  Sat, 29 May 2004 18:38:35 +0200

obconf (1.5-1) unstable; urgency=low

  * Initial release.

 -- Tore Anderson <tore@debian.org>  Tue, 18 Nov 2003 22:20:16 +0100

=== debian/control ===
Source: obconf
Section: x11
Priority: optional
Maintainer: Debian LXDE Maintainers <lxde-debian@lists.lxde.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper (>= 9), dh-autoreconf, autopoint, gettext, libglade2-dev,
 libgtk2.0-dev, libimlib2-dev, libsm-dev, libstartup-notification0-dev,
 openbox-dev (>= 3.5.0)
Standards-Version: 3.9.3
Homepage: http://www.openbox.org/wiki/ObConf:About
Vcs-Browser: http://git.lxde.org/gitweb/?p=debian/obconf.git
Vcs-Git: git://git.lxde.org/git/debian/obconf.git

Package: obconf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: openbox
Description: preferences manager for Openbox window manager
 ObConf is a small graphical utility which configures the window manager
 Openbox' preferences and configuration settings on the fly.
 .
 If you are an Openbox user, you may want this package.

=== debian/watch ===
version=3
http://www.openbox.org/dist/obconf/obconf\.(.*)\.tar\.gz

## obconf 2.0.3+git20110808

=== debian/changelog ===
obconf (2.0.3+git20110808-0ubuntu2) precise; urgency=low

  * debian/patches/02_show_specific_tab.dpatch:
   - Complete the patch, it was partly dropped in the last upload.
    (LP: #877404) 

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 24 Oct 2011 00:10:33 +0200

obconf (2.0.3+git20110808-0ubuntu1) oneiric; urgency=low

  * New upstream snapshot, compatible with openbox 3.5.0 (LP: #831099).
  * debian/rules:
   - Add autoreconf command.
  * debian/patches:
   - 02_show_specific_tab.dpatch: Refresh.
  * debian/control:
   - Build-depends on automake and autopoint for autoreconf command.
   - Bump build-depends on openbox-dev (>= 3.5.0).

 -- Julien Lavergne <gilir@ubuntu.com>  Wed, 24 Aug 2011 20:31:37 +0200

obconf (2.0.3-3ubuntu2) natty; urgency=low

  * debian/patches/02_show_specific_tab.dpatch:
   - Add an option to show a specific tab when starting obconf.
  * debian/obconf.pod:
   - Update with the new option.

 -- Julien Lavergne <gilir@ubuntu.com>  Mon, 29 Nov 2010 00:11:42 +0100

obconf (2.0.3-3build1) intrepid; urgency=low

  * No-change rebuild against newer openbox-dev to restore
    installability (LP: #243795).

 -- Daniel T Chen <crimsun@ubuntu.com>  Sun, 27 Jul 2008 00:55:41 -0400

=== debian/control ===
Source: obconf
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 8~), dh-autoreconf, gettext, openbox-dev (>= 3.5.0), libstartup-notification0-dev, libgtk2.0-dev, libglade2-dev, perl, libsm-dev, autopoint, libimlib2-dev
Standards-Version: 3.9.2
Homepage: http://icculus.org/openbox/index.php/ObConf:About

Package: obconf
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: openbox
Description: preferences manager for Openbox window manager
 ObConf is a small graphical utility which configures the window manager
 Openbox' preferences and configuration settings on the fly.
 .
 If you are an Openbox user, you may want this package.

=== debian/rules ===
#!/usr/bin/make -f

VERSION=$(shell awk '/^PACKAGE_VERSION/ { print $$2 }' "FS='" configure)

%:
	dh $@ --with autoreconf

override_dh_auto_build:
	dh_auto_build
	pod2man --section=1 --release=$(VERSION) --center \
		"Openbox documentation" debian/obconf.pod > obconf.1

#override_dh_auto_install:
#	dh_auto_install
#	rm -f $(CURDIR)/debian/obconf/usr/share/doc/obconf/TODO

=== debian/watch ===
version=3
http://icculus.org/openbox/obconf (?:.*/)?obconf-?_?([\d+\.]+|\d+)\.tar.* debian uupdate

## obconf 2.0.4

=== debian/changelog ===
obconf (1:2.0.4-2~bpo70+1) wheezy-backports; urgency=medium

  * Rebuild for wheezy-backports.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 27 Feb 2014 15:42:38 +0100

obconf (1:2.0.4-2) unstable; urgency=low

  * Patch working:
    + replace update_desktop.patch with 01-freedesktop-compliance.patch
      from Ubuntu. (LP: #1249717)

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Mon, 11 Nov 2013 00:49:03 +0100

obconf (1:2.0.4-1) unstable; urgency=low

  * New upstream release:
    - fix FTBFS with openbox 3.5.x. (Closes: #725018, #726270)
    - remove excessive noise on stderr. (Closes: #615102)
    - fix a bug where changing the window title to condensed
      fonts was not working. (Closes: #651767)
  * debian/control:
    - add myself as maintainer.
    - remove Daniel Baumann from uploaders. (Closes: #704353)
    - bump standard version.
    - bump minimal openbox version.
    - update Vcs-* fields.
  * Remove old debian/patches -- all included upstream.
  * Add debian/patches/update_desktop.patch.
  * Update debian/watch.
  * Update debian/copyright.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Wed, 16 Oct 2013 11:11:02 +0200

=== debian/control ===
Source: obconf
Section: x11
Priority: optional
Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
Build-Depends:
 debhelper (>= 9), dh-autoreconf, autopoint, gettext, libglade2-dev,
 libgtk2.0-dev, libimlib2-dev, libsm-dev, libstartup-notification0-dev,
 openbox-dev (>= 3.5.2)
Standards-Version: 3.9.4
Homepage: http://www.openbox.org/wiki/ObConf:About
Vcs-Browser: https://github.com/mati75/obconf-debian.git
Vcs-Git: git://github.com/mati75/obconf-debian.git

Package: obconf
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: openbox
Description: preferences manager for Openbox window manager
 ObConf is a small graphical utility which configures the window manager
 Openbox' preferences and configuration settings on the fly.
 .
 If you are an Openbox user, you may want this package.

## obconf 2.0.4%2Bgit20150213

=== debian/changelog ===
obconf (1:2.0.4+git20150213-3build2) plucky; urgency=medium

  * No-change rebuild against Openbox to revert the GCC 5 package
    rename.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 21 Feb 2025 22:14:40 -0600

obconf (1:2.0.4+git20150213-3build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:21:56 +0000

obconf (1:2.0.4+git20150213-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.
  * Update renamed lintian tag names in lintian overrides.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Fix day-of-week for changelog entry 2.0.1-1.
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on debhelper.
  * Bump debhelper dependency to >= 10, since that's what is used in
    debian/compat.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on openbox-dev.

  [ Pino Toscano ]
  * Stop shipping the old KDE desktop MIME types, as they are no more needed
    now. (Closes: #875517)

  [ Mateusz Łukasik ]
  * Add patch from Gentoo for fix FTBFS with the compiler flag
    -Werror=implicit-function-declaration. (Closes: #1066381)
  * Bump Standards-Version to 4.6.2.
  * Bump d/watch to 4 version.
  * Convert sources to dh 13.
  * Add d/clean for fix Fails to build source after successful build.
    (Closes: #1048752)
  * Add Rules-Requires-Root to d/control.
  * Rename overrides in d/source/lintian-overrides.
  * Update year in d/copyright.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 15 Mar 2024 20:35:58 +0100

obconf (1:2.0.4+git20150213-2) unstable; urgency=medium

  * debian/control:
    + Bump Standards-Version to 3.9.8.
    + Use secured VCS links.
    + Bump minimal openbox version to 3.6.1-3~ -- fix FTBFS on Ubuntu 17.04.
  * Drop menu file.
  * Drop debian/pixmaps -- no longer needed.
  * Bump minimal dh version to 10.
  * debian/patches:
    + Add fix-spelling-error.patch.
  * Enable hardening.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 27 Nov 2016 12:24:49 +0100

obconf (1:2.0.4+git20150213-1) unstable; urgency=medium

  * Merge latest upstream revision: (LP: #1272834)
    + Remove 02-Fix-tab-error.patch -- included upstream.
  * Merge changes from unstable.
  * debian/patches:
    + Drop dupa.patch.
    + Refresh 01-freedesktop-compliance.patch to provide Keywords entry.
    + Add 02-update-russian-translate.patch to fix Russian translation.
      (LP: 1408694)
  * debian/watch:
    + Update, thanks bartm!
  * debian/source/lintian-overrides:
    + Add debian-watch-may-check-gpg-signature.
  * debian/control:
    + Bump minimal openbox version to 3.6.1-1. (Closes: #788458)
  * debian/obconf.docs:
    + Remove TODO file.
  * debian/changelog:
    + Upload to unstable.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sat, 04 Jul 2015 22:48:19 +0200

obconf (1:2.0.4+git20130908-2) experimental; urgency=low

  * Synchronized with unstable.
  * Update debian/patches/01-freedesktop-compliance.patch.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Fri, 15 Nov 2013 13:05:26 +0100

obconf (1:2.0.4+git20130908-1) experimental; urgency=low

  * Merge upstream version 2.0.4+git20130908: (LP: #1218221)
    - use gtk3 for now. (LP: #1059543)
    - refresh debian/patches/update_desktop.patch. (LP: #1179969)
  * Use xz compress for sources and binaries.
  * Upload to experimental.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Tue, 29 Oct 2013 16:39:08 +0100

obconf (1:2.0.4-3) unstable; urgency=high

  * debian/patches/02-Fix-tab-error.patch
    - Add patch to fix segfaults in tab option. (Closes: #740088)
  * debian/control:
    - Bump standards version to 3.9.6 (no changes required).
    - Bump minimal openbox version to 3.6.
    - Update Homepage field.
  * debian/copyright:
    - Update years.
  * Update debian/watch with new upstream website.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Thu, 11 Jun 2015 19:02:57 +0200

## obconf 2.0.4+git20130908

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
- debhelper (>= 9), dh-autoreconf, autopoint, gettext, libglade2-dev,
- libgtk2.0-dev, libimlib2-dev, libsm-dev, libstartup-notification0-dev,
- openbox-dev (>= 3.5.2)
+ debhelper (>= 9), dh-autoreconf, autopoint, gettext, libgtk-3-dev, 
+ libimlib2-dev, libsm-dev, libstartup-notification0-dev,
+ libcairo2-dev, openbox-dev (>= 3.5.2)
 Standards-Version: 3.9.4
 Homepage: http://www.openbox.org/wiki/ObConf:About
 Vcs-Browser: https://github.com/mati75/obconf-debian.git

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --with autoreconf

override_dh_builddeb:
	dh_builddeb -- -Zxz -z9

=== debian/watch ===
version=3
http://www.openbox.org/dist/obconf/obconf-(.+)\.tar\.gz

## obconf 2.0.4+git20150213

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,14 @@
 Priority: optional
 Maintainer: Mateusz Łukasik <mati75@linuxmint.pl>
 Build-Depends:
- debhelper (>= 9), dh-autoreconf, autopoint, gettext, libgtk-3-dev, 
+ debhelper-compat (= 13), autopoint, gettext, libgtk-3-dev,
  libimlib2-dev, libsm-dev, libstartup-notification0-dev,
- libcairo2-dev, openbox-dev (>= 3.5.2)
-Standards-Version: 3.9.4
-Homepage: http://www.openbox.org/wiki/ObConf:About
+ libcairo2-dev, openbox-dev
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://github.com/danakj/obconf
 Vcs-Browser: https://github.com/mati75/obconf-debian.git
-Vcs-Git: git://github.com/mati75/obconf-debian.git
+Vcs-Git: https://github.com/mati75/obconf-debian.git
 
 Package: obconf
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install
	# drop old KDE desktop MIMEs
	rm -rfv debian/obconf/usr/share/mimelnk/

=== debian/watch ===
version=4
opts=dversionmangle=s/\+git20\d{6}$//;s/\+git[a-f\d]+$//;s/\+git\d+\S*// \
https://github.com/danakj/obconf/releases \
.*[^n]/(?:|v|version-|version|release-|r|REL_|rel-|obconf(?:_|-))(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
